Freeciv-3.3: caravan_parameter Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
caravan_parameter Struct Reference

`#include <caravan.h>`

## Data Fields

int | horizon
double | discount
bool | consider_windfall
bool | consider_trade
bool | consider_wonders
bool | account_for_broken_routes
enum foreign_trade_limit | allow_foreign_trade
bool | ignore_transit_time
bool | convert_trade
void(* | callback )(const struct caravan_result *result, void *data)
void * | callback_data

## Detailed Description

Definition at line 61 of file caravan.h.

## Field Documentation

## ◆ account_for_broken_routes

bool caravan_parameter::account_for_broken_routes

Definition at line 93 of file caravan.h.

Referenced by caravan_parameter_init_default(), caravan_parameter_log_real(), and trade_benefit().

## ◆ allow_foreign_trade

enum foreign_trade_limit caravan_parameter::allow_foreign_trade

Definition at line 99 of file caravan.h.

Referenced by caravan_parameter_init_default(), caravan_parameter_log_real(), dai_manage_caravan(), and does_foreign_trade_param_allow().

## ◆ callback

void(* caravan_parameter::callback) (const struct caravan_result *result, void *data)

Definition at line 124 of file caravan.h.

Referenced by caravan_parameter_init_default(), dai_manage_caravan(), and get_discounted_reward().

## ◆ callback_data

void* caravan_parameter::callback_data

Definition at line 125 of file caravan.h.

Referenced by dai_manage_caravan(), and get_discounted_reward().

## ◆ consider_trade

bool caravan_parameter::consider_trade

Definition at line 86 of file caravan.h.

Referenced by caravan_parameter_init_default(), caravan_parameter_init_from_unit(), caravan_parameter_log_real(), get_discounted_reward(), and trade_benefit().

## ◆ consider_windfall

bool caravan_parameter::consider_windfall

Definition at line 85 of file caravan.h.

Referenced by caravan_parameter_init_default(), caravan_parameter_init_from_unit(), caravan_parameter_log_real(), get_discounted_reward(), and windfall_benefit().

## ◆ consider_wonders

bool caravan_parameter::consider_wonders

Definition at line 87 of file caravan.h.

Referenced by caravan_parameter_init_default(), caravan_parameter_init_from_unit(), caravan_parameter_log_real(), get_discounted_reward(), and wonder_benefit().

## ◆ convert_trade

bool caravan_parameter::convert_trade

Definition at line 116 of file caravan.h.

Referenced by caravan_parameter_init_default(), caravan_parameter_log_real(), and trade_benefit().

## ◆ discount

double caravan_parameter::discount

Definition at line 77 of file caravan.h.

Referenced by caravan_parameter_init_default(), caravan_parameter_is_legal(), caravan_parameter_log_real(), and get_discounted_reward().

## ◆ horizon

int caravan_parameter::horizon

Definition at line 65 of file caravan.h.

Referenced by caravan_parameter_init_default(), caravan_parameter_is_legal(), caravan_parameter_log_real(), caravan_search_from(), and get_discounted_reward().

## ◆ ignore_transit_time

bool caravan_parameter::ignore_transit_time

Definition at line 108 of file caravan.h.

Referenced by caravan_find_best_destination(), caravan_parameter_init_default(), caravan_parameter_log_real(), and dai_manage_caravan().